#
# spec file for package perl-CPAN-Perl-Releases
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-CPAN-Perl-Releases
Version:        3.90
Release:        151.1
%define cpan_name CPAN-Perl-Releases
Summary:        Mapping Perl releases on CPAN to the location of the tarballs
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
CPAN::Perl::Releases is a module that contains the mappings of all 'perl'
releases that have been uploaded to CPAN to the 'authors/id/' path that the
tarballs reside in.

This is static data, but newer versions of this module will be made
available as new releases of 'perl' are uploaded to CPAN.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Fri Feb 22 2019 coolo@suse.com
- updated to 3.90
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Jan 21 2019 coolo@suse.com
- updated to 3.88
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Dec 19 2018 coolo@suse.com
- updated to 3.86
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Thu Dec  6 2018 coolo@suse.com
- updated to 3.84
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Thu Nov  8 2018 coolo@suse.com
- updated to 3.80
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Sep 22 2018 coolo@suse.com
- updated to 3.76
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Aug 25 2018 coolo@suse.com
- updated to 3.74
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Jul 28 2018 coolo@suse.com
- updated to 3.72
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Jul 21 2018 coolo@suse.com
- updated to 3.70
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Fri Jun 29 2018 coolo@suse.com
- updated to 3.68
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Jun 20 2018 coolo@suse.com
- updated to 3.64
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Thu Jun  7 2018 coolo@suse.com
- updated to 3.60
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue May 22 2018 coolo@suse.com
- updated to 3.58
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Apr 21 2018 coolo@suse.com
- updated to 3.56
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Apr 15 2018 coolo@suse.com
- updated to 3.54
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Thu Apr  5 2018 coolo@suse.com
- updated to 3.52
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Mar 21 2018 coolo@suse.com
- updated to 3.50
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Feb 21 2018 coolo@suse.com
- updated to 3.48
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Feb  7 2018 coolo@suse.com
- updated to 3.46
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Dec 10 2017 coolo@suse.com
- updated to 3.42
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Nov  8 2017 coolo@suse.com
- updated to 3.40
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Oct  1 2017 coolo@suse.com
- updated to 3.38
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Sep 13 2017 coolo@suse.com
- updated to 3.34
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Sep  4 2017 coolo@suse.com
- updated to 3.32
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Jul 25 2017 coolo@suse.com
- updated to 3.30
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Jul 16 2017 coolo@suse.com
- updated to 3.28
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Jul  3 2017 coolo@suse.com
- updated to 3.26
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Jun 21 2017 coolo@suse.com
- updated to 3.24
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Fri Jun  9 2017 coolo@suse.com
- updated to 3.22
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed May 31 2017 coolo@suse.com
- updated to 3.20
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Thu May 25 2017 coolo@suse.com
- updated to 3.18
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Fri May 12 2017 coolo@suse.com
- updated to 3.16
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Apr 22 2017 coolo@suse.com
- updated to 3.14
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Mar 21 2017 coolo@suse.com
- updated to 3.12
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Feb 21 2017 coolo@suse.com
- updated to 3.10
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Feb 13 2017 coolo@suse.com
- updated to 3.08
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Jan  3 2017 coolo@suse.com
- updated to 3.04
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Dec 21 2016 coolo@suse.com
- updated to 3.02
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Nov 21 2016 coolo@suse.com
- updated to 3.00
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Fri Oct 21 2016 coolo@suse.com
- updated to 2.98
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Fri Oct 14 2016 coolo@suse.com
- updated to 2.96
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Sep 21 2016 coolo@suse.com
- updated to 2.94
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Aug 21 2016 coolo@suse.com
- updated to 2.92
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Aug 13 2016 coolo@suse.com
- updated to 2.90
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Jul 26 2016 coolo@suse.com
- updated to 2.88
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Thu Jul 21 2016 coolo@suse.com
- updated to 2.84
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Jul 19 2016 coolo@suse.com
- updated to 2.82
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Thu Jun 23 2016 coolo@suse.com
- updated to 2.80
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat May 28 2016 coolo@suse.com
- updated to 2.78
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Apr 11 2016 coolo@suse.com
- updated to 2.62
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Mar 23 2016 coolo@suse.com
- updated to 2.60
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Feb 21 2016 coolo@suse.com
- updated to 2.58
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Jan 27 2016 coolo@suse.com
- updated to 2.56
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Dec 26 2015 coolo@suse.com
- updated to 2.54
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Dec 15 2015 coolo@suse.com
- updated to 2.52
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Dec  9 2015 coolo@suse.com
- updated to 2.50
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Dec  5 2015 coolo@suse.com
- updated to 2.48
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Nov 24 2015 coolo@suse.com
- updated to 2.46
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Nov 16 2015 coolo@suse.com
- updated to 2.44
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Fri Nov  6 2015 coolo@suse.com
- updated to 2.42
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Oct 21 2015 coolo@suse.com
- updated to 2.40
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Sep 21 2015 coolo@suse.com
- updated to 2.38
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Sep 14 2015 coolo@suse.com
- updated to 2.36
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Aug 30 2015 coolo@suse.com
- updated to 2.34
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Aug 23 2015 coolo@suse.com
- updated to 2.32
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Jul 21 2015 coolo@suse.com
- updated to 2.28
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Jun 30 2015 coolo@suse.com
- updated to 2.26
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Jun 22 2015 coolo@suse.com
- updated to 2.24
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Jun  7 2015 coolo@suse.com
- updated to 2.22
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed May 20 2015 coolo@suse.com
- updated to 2.16
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Apr 21 2015 coolo@suse.com
- updated to 2.14
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Thu Apr 16 2015 coolo@suse.com
- updated to 2.12
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Sep 15 2014 coolo@suse.com
- updated to 1.86
  Updated for v5.20.1
* Fri Mar  7 2014 coolo@suse.com
- updated to 1.64
  Updated for v5.19.9
* Mon Dec  9 2013 coolo@suse.com
- updated to 1.52
    Updated for v5.18.2-RC2
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.48
    Updated for v5.19.6
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.44, see Changes
* Sun Aug  4 2013 coolo@suse.com
- updated to 1.28
    tools/findlinks.pl: sort releases in the generated code
    No impact on runtime. This is just a cosmetic change to make the
    Releases.pm source easier to read for humans.
* Wed Jul 24 2013 coolo@suse.com
- updated to 1.26
  Update for v5.19.2
* Tue Jul 16 2013 coolo@suse.com
- updated to 1.24
    Updated for v5.19.1
    add sub 'perl_versions' that returns the list of versions supported
    by the module
    add tests for perl_versions sub
    add perl_versions function returning list of perl versions known to
    the module
* Mon Jun  3 2013 coolo@suse.com
- updated to 1.22, tons of stupid git commits
* Tue Feb 21 2012 coolo@suse.com
- initial package 0.44
  * created by cpanspec 1.78.06
